opencv: cv::Complex< _Tp > Class Template Reference

Public Member Functions | Public Attributes

# cv::Complex< _Tp > Class Template Reference

`#include <core.hpp>`

List of all members.

## Public Member Functions
| Complex ()
| constructors
| Complex (_Tp _re, _Tp _im=0)
| Complex (const std::complex< _Tp > &c)
Complex | conj () const
| conjugation
template<typename T2 >
| operator Complex< T2 > () const
| conversion to another data type
| operator std::complex< _Tp > () const
| conversion to std::complex
## Public Attributes
_Tp | im
_Tp | re

## Detailed Description

### template<typename _Tp>
class cv::Complex< _Tp >

A complex number class.

The template class is similar and compatible with std::complex, however it provides slightly more convenient access to the real and imaginary parts using through the simple field access, as opposite to std::complex::real() and std::complex::imag().

## Constructor & Destructor Documentation

template<typename _Tp >

cv::Complex< _Tp >::Complex | ( | ) | `[inline]`

constructors

template<typename _Tp >

cv::Complex< _Tp >::Complex | ( | _Tp | _re,
|  | _Tp | _im = `0`
| ) |  | `[inline]`

template<typename _Tp>

cv::Complex< _Tp >::Complex | ( | const std::complex< _Tp > & | c ) |

## Member Function Documentation

template<typename _Tp >

Complex< _Tp > cv::Complex< _Tp >::conj | ( | ) | const`[inline]`

conjugation

template<typename _Tp >
template<typename T2 >

cv::Complex< _Tp >::operator Complex< T2 > | ( | ) | const`[inline]`

conversion to another data type

template<typename _Tp>

cv::Complex< _Tp >::operator std::complex< _Tp > | ( | ) | const

conversion to std::complex

## Member Data Documentation

template<typename _Tp>

_Tp cv::Complex< _Tp >::im

template<typename _Tp>

_Tp cv::Complex< _Tp >::re

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines